// components/customScroll/index.js
const app = getApp();

Component({
  options: {
    addGlobalClass: true, // 全局样式
  },
  /**
   * 组件的属性列表
   */
  properties: {
    config: {
      type: Object
    }
  },

  lifetimes: {
    attached: function () {
      // console.log("lifetimes config = ", this.data.config);
      this.data.selectId = this.data.config.selRoomId;
      // this.data.selectIdx = this.data.config.selRoomId;
      this.setData({
        selectId: this.data.selectId,
        // selectIdx: this.data.selectIdx
      })
    }
  },
  pageLifetimes: {
    show () {
      // console.log("pageLifetimes config = ", this.data.config);
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    toView: 'green',
    selectId: 0
  },

  /**
   * 组件的方法列表
   */
  methods: {
    // 房间按钮点击
    roomClick (e) {
      let _index = e.currentTarget.dataset.index;
      let _item = e.currentTarget.dataset.item;
      console.log("index = ", _index, this.data.config);
      // 回调给父元素
      this.trigEvent(_index, _item.id);
      // this.data.config.handle && (this.data.config.handle());
      // // 当前选中的点击
      // this.data.selectId = _item.id;
      // // this.data.selectIdx = _index;
      // this.setData({
      //   selectId: _item.id,
      //   // selectIdx: _index
      // })
    },
    trigEvent (index, id) {
      this.triggerEvent("scrollindex", {
        index: index,
        id: id
      })
    },

    // tapMove() {
    //   this.setData({
    //     scrollTop: this.data.scrollTop + 10
    //   })
    // },

    // upper(e) {
    //   console.log(e)
    // },
  
    // lower(e) {
    //   console.log(e)
    // },
  
    // scroll(e) {
    //   console.log(e)
    // },
  
    // scrollToTop() {
    //   this.setAction({
    //     scrollTop: 0
    //   })
    // },
  }
})
