// components/customTopView/index.js
const app = getApp();
// console.log("111 app.globalData.systemInfo = ", app.globalData, 1, app.globalData.systemInfo)
Component({
  options: {
    addGlobalClass: true, // 全局样式
  },
  /**
   * 组件的属性列表
   */
  properties: {
    // 配置信息
    topConfig: {
      type: Object,
      value: {
        navObj: {},
        topObj: {}
      }
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    statusHeight: 20,
    topHeight: 246 // 主页176 我的页面 166
  },
  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached: function () {
      // 取得状态栏的高度和比例
      let {statusHeight, multip} = app.globalData.customPageSize;
      // 设置头部的高度，根据bgClass判断是主页还是我的页面 两者高度不一致
      let _class = this.data.topConfig.bgClass;
      let _topHeight = ((_class == 'topMineViewBg') ? 288 : 246) / multip + statusHeight;
      this.setData({
        statusHeight: statusHeight,
        topHeight: _topHeight,
        // topBottomHeight: _topHeight - statusHeight - 88 / multip
      });
    },
    moved: function () { },
    detached: function () { },
  },
  pageLifetimes: {
    show () {

    }
  },

  /**
   * 组件的方法列表
   */
  methods: {
    leftClick () {},

    lefttextclick () {
      // console.log("lefttextclick");
      // 触发上报到父组件
      this.triggerEvent('lefttextclick', {})
    },
    floorClick () {
      // 触发上报到父组件
      this.triggerEvent('floorclick', {})
    },
    editAccount () {
      // 触发上报到父组件
      this.triggerEvent('editaccount', {})
    },
  }
})
