import ability from '../../../utils/classDef/ability'
// pages/deviceDetail/deviceDetail.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navObj: {
      left: {
        type: "img"
      },
      center: {
        text: "设备详情"
      }
    },
    deviceInfo: [
      /* {
        title: "PID",
        value: "00000"
      }, {
        title: "did",
        value: "00000"
      }, {
        title: "mac",
        value: "00000"
      }, {
        title: "固件",
        value: "00000"
      },*/ {
        title: "房间名称",
        key: "n",
        value: ''
      }, {
        title: "设备did",
        key: "d",
        value: ''
      }, {
        title: "设备类型",
        key: "t",
        value: ''
      }, {
        title: "设备短地址",
        key: "a",
        value: ''
      }
    ],
    // 设备名称
    devName: ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  },
  initName () {
    // 设备名称初始化
    this.data.devName = app.globalData.devInfo.n;
    this.setData({
      devName: this.data.devName
    })
  },
  initMore () {
    let _devInfo = app.globalData.devInfo;
    let _array = this.data.deviceInfo;
    for (let item of _array) {
      item.value = _devInfo[item.key];
    }
    this.setData({
      deviceInfo: this.data.deviceInfo
    })
  },
  toSetName() {
    console.log('toSetName');
    wx.navigateTo({
      url: '../deviceName/deviceName'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    // 初始化设备名称
    this.initName();
    // 初始化更多
    this.initMore();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  editName () {
    wx.navigateTo({
      url: '../deviceName/index',
    })
  },
  delDev () {
    let _devInfo = app.globalData.devInfo;
    if (!_devInfo) {
      return;
    }
    let _id = _devInfo.id;
    let _d = _devInfo.d;
    let _devs = (app.globalData.devs[_id] || {}).devs || [];
    console.log("delDev _devs, _id = ", _devs, _id);
    // 删除设备信息
    let _idx = -1;
    let _selects = _devs.filter((item, index) => {
      if (item.d == _d) {
        _idx = index;
        return true;
      }
    });
    console.log("delDev _idx = ", _selects, _idx);
    (_idx >= 0) && _devs.splice(_idx, 1);
    // 保存设备
    app.globalData.devInfo = {};
    app.globalData.devStatus = {};
    console.error("devProperty");
    // 保存设备信息
    app.saveAllDevsMap();
    // app.setBizStorage("devs", app.globalData.devs);
    ability.showToast({
      title: "删除成功",
      icon: "success",
      complete: () => {
        // 返回首页，重新加载
        setTimeout(() => {
          ability.reLaunch();
        }, 2000);
      }
    });
  }
})