import ability from "../../../utils/classDef/ability";
import bizUtil from "../../../utils/bizUtil"
// import blSdk from "../../../utils/bizUtil";
const app = getApp()
Page({
  data: {
    funcList: [
      {
        title: "重置限位",
        btnText: "重置",
        btnFunc: "reset"
      }, {
        title: "限位设置",
        btnText: "设置",
        btnFunc: "setBest"
      }, {
        title: "电机反向",
        btnText: "反转",
        btnFunc: "reverse"
      }/*, {
        title: "遥控器解绑",
        btnText: "解绑",
        btnFunc: "delRemote"
      }*/
    ],
    navObj: {
      left: {
        type: "img"
      },
      center: {
        text: "功能设置"
      }
    }
  },
  onLoad() {
   
  },
  onReady: function () {
    //获得dialog组件 
    this.toastDialog = this.selectComponent("#toastDialog");//此处id和页面的 wxml中的id一致
  },
  reset() {
    console.log("reset");
    this.actDev({
      limitCtrl: 10,
      percent: 0xff
    }, () => {
      ability.showToast({
        title: '上下限位重置成功'
      });
      let _devInfo = app.globalData.devInfo;
      if (!_devInfo || !_devInfo.e) {
        return;
      }
      // 清除上下限位置
      _devInfo.e = bizUtil.getCurtainVGroups();
      // let _limitCtrl = app.globalData.devInfo.limitCtrls;
      // // 删除上线限
      // this.delByValue(1, _limitCtrl);
      // this.delByValue(4, _limitCtrl);
    })
    // // 取得发送数据
    // let _params = blSdk.getPageParams.call(this, {
    //   keyStr: {
    //     limitCtrl: 10
    //   }, 
    //   deviceInfo: app.globalData.devInfo
    // });
    // blSdk.controlByHand(_params).then(() => {
    //   this.toastDialog.showDialog('上下限位重置成功');
    //   // 清除上下限位置
    //   let _limitCtrl = app.globalData.devStatus.limitCtrls;
    //   // 删除上线限
    //   this.delByValue(1, _limitCtrl);
    //   this.delByValue(4, _limitCtrl);
    // });
  },
  // 从数组中删除值
  delByValue (value, array) {
    if (!array) {
      return;
    }
    let _index = array.indexOf(value);
    (_index >= 0) && (array.splice(_index, 1));
  },
  setBest() {
    console.log("setBest");
    wx.navigateTo({
      url: '../bestLocation/index'
    })
  },
  reverse() {
    console.log("reverse");
    this.actDev({
      direction: 3,
      percent: 0xff
    }, () => {
      ability.showToast({
        title: '电机反向成功'
      });
      // this.toastDialog.showDialog('');
    });
    // // 取得发送数据
    // let _params = blSdk.getPageParams.call(this, {
    //   keyStr: {
    //     direction: 3,
    //     percent: 0xff
    //   }, 
    //   deviceInfo: app.globalData.devInfo
    // });
    // blSdk.controlByHand(_params).then(() => {
    //   this.toastDialog.showDialog('电机反向成功');
    // });
  },
  delRemote () {
    this.actDev("unbind", () => {
      ability.showToast({
        title: '遥控器解绑成功'
      });
      // this.toastDialog.showDialog('');
    });
    // console.log("unbind blSdk, getPageParams = ", blSdk, blSdk.getPageParams);
    // // 取得发送数据
    // let _params = blSdk.getPageParams.call(this, "unbind", app.globalData.devInfo);
    // console.log("_params = ", _params);
    // blSdk.controlByHand(_params).then(() => {
    //   console.log("遥控器解绑成功");
    //   this.toastDialog.showDialog('遥控器解绑成功');
    // });
  },
  actDev (key, callback) {
    // 取得发送数据
    let _result = app.globalData.blsdk.controlWithDevice(app.globalData.devInfo, key);
    if (!_result) {
      return;
    }
    _result.then(() => {
      !!callback && (callback());
    });
  }
})
