module.exports = {
  icType: [{
    text: "WS2812B",
    value: 0
  }, {
    text: "SM16703",
    value: 1
  }, {
    text: "SM16704",
    value: 2
  }, {
    text: "WS2811",
    value: 3
  }, {
    text: "UCS1903",
    value: 4
  }, {
    text: "SK6812",
    value: 5
  }, {
    text: "SK6812RGBW",
    value: 6
  }, {
    text: "INK1003",
    value: 7
  }, {
    text: "UCS2904B",
    value: 8
  }],
  lightSort: [{
    text: "RGB",
    value: 0
  }, {
    text: "RBG",
    value: 1
  }, {
    text: "GRB",
    value: 2
  }, {
    text: "GBR",
    value: 3
  }, {
    text: "BRG",
    value: 4
  }, {
    text: "BGR",
    value: 5
  }],
  xuancai: [{
    title: "基本",
    key: "basic",
    array: [{
      text: "自动循环",
      value: 1
    }, {
      text: "正向幻彩",
      value: 2
    }, {
      text: "反向幻彩",
      value: 3
    }, {
      text: "七彩能量",
      value: 4
    }, {
      text: "七色跳变",
      value: 5
    }, {
      text: "红绿蓝跳变",
      value: 6
    }, {
      text: "黄青紫跳变",
      value: 7
    }, {
      text: "七色频闪",
      value: 8
    }, {
      text: "红绿蓝频闪",
      value: 9
    }, {
      text: "黄青紫频闪",
      value: 10
    }, {
      text: "七色渐变",
      value: 11
    }, {
      text: "红黄交替渐变",
      value: 12
    }, {
      text: "红紫交替渐变",
      value: 13
    }, {
      text: "绿青交替渐变",
      value: 14
    }, {
      text: "绿黄交替渐变",
      value: 15
    }, {
      text: "蓝紫交替渐变",
      value: 16
    }, {
      text: "红色跑马",
      value: 17
    }, {
      text: "绿色跑马",
      value: 18
    }, {
      text: "蓝色跑马",
      value: 19
    }, {
      text: "黄色跑马",
      value: 20
    }, {
      text: "青色跑马",
      value: 21
    }, {
      text: "紫色跑马",
      value: 22
    }, {
      text: "白色跑马",
      value: 23
    }, {
      text: "正向七彩追光",
      value: 24
    }, {
      text: "反向七彩追光",
      value: 25
    }, {
      text: "正向红绿蓝追光",
      value: 26
    }, {
      text: "反向红绿蓝追光",
      value: 27
    }, {
      text: "正向黄青紫追光",
      value: 28
    }, {
      text: "反向黄青紫追光",
      value: 29
    }, {
      text: "正向七彩飘动",
      value: 30
    }, {
      text: "反向七彩飘动",
      value: 31
    }, {
      text: "正向红绿蓝飘动",
      value: 32
    }, {
      text: "反向红绿蓝飘动",
      value: 33
    }, {
      text: "正向黄青紫飘动",
      value: 34
    }, {
      text: "反向黄青紫飘动",
      value: 35
    }, {
      text: "正向七彩刷色",
      value: 36
    }, {
      text: "反向七彩刷色",
      value: 37
    }, {
      text: "正向红绿蓝刷色",
      value: 38
    }, {
      text: "反向红绿蓝刷色",
      value: 39
    }, {
      text: "正向黄青紫刷色",
      value: 40
    }, {
      text: "反向黄青紫刷色",
      value: 41
    }, {
      text: "七彩刷色闭幕",
      value: 42
    }, {
      text: "七彩刷色拉幕",
      value: 43
    }, {
      text: "红绿蓝刷色闭幕",
      value: 44
    }, {
      text: "红绿蓝刷色拉幕",
      value: 45
    }, {
      text: "黄青紫刷色闭幕",
      value: 46
    }, {
      text: "黄青紫刷色拉幕",
      value: 47
    }]
  }, {
    title: "开合",
    key: "open",
    array: [{
      text: "七彩闭幕",
      value: 48
    }, {
      text: "七彩拉幕",
      value: 49
    }, {
      text: "红绿蓝闭幕",
      value: 50
    }, {
      text: "红绿蓝拉幕",
      value: 51
    }, {
      text: "黄青紫闭幕",
      value: 52
    }, {
      text: "黄青紫拉幕",
      value: 53
    }, {
      text: "红色闭幕",
      value: 54
    }, {
      text: "红色拉幕",
      value: 55
    }, {
      text: "绿色闭幕",
      value: 56
    }, {
      text: "绿色拉幕",
      value: 57
    }, {
      text: "蓝色闭幕",
      value: 58
    }, {
      text: "蓝色拉幕",
      value: 59
    }, {
      text: "黄色闭幕",
      value: 60
    }, {
      text: "黄色拉幕",
      value: 61
    }, {
      text: "青色闭幕",
      value: 62
    }, {
      text: "青色拉幕",
      value: 63
    }, {
      text: "紫色闭幕",
      value: 64
    }, {
      text: "紫色拉幕",
      value: 65
    }, {
      text: "白色闭幕",
      value: 66
    }, {
      text: "白色拉幕",
      value: 67
    }]
  }, {
    title: "过渡",
    key: "exceed",
    array: [{
      text: "正向七色明暗过渡",
      value: 68
    }, {
      text: "反向七色明暗过渡",
      value: 69
    }, {
      text: "正向蓝绿红明暗过渡",
      value: 70
    }, {
      text: "反向红绿蓝明暗过渡",
      value: 71
    }, {
      text: "正向紫青黄明暗过渡",
      value: 72
    }, {
      text: "反向黄青紫明暗过渡",
      value: 73
    }, {
      text: "正向六色明暗过渡红色",
      value: 74
    }, {
      text: "反向六色明暗过渡红色",
      value: 75
    }, {
      text: "正向六色明暗过渡绿色",
      value: 76
    }, {
      text: "反向六色明暗过渡绿色",
      value: 77
    }, {
      text: "正向六色明暗过渡蓝色",
      value: 78
    }, {
      text: "反向六色明暗过渡蓝色",
      value: 79
    }, {
      text: "正向六色明暗过渡青色",
      value: 80
    }, {
      text: "反向六色明暗过渡青色",
      value: 81
    }, {
      text: "正向六色明暗过渡黄色",
      value: 82
    }, {
      text: "反向六色明暗过渡黄色",
      value: 83
    }, {
      text: "正向六色明暗过渡紫色",
      value: 84
    }, {
      text: "反向六色明暗过渡紫色",
      value: 85
    }, {
      text: "正向六色明暗过渡白色",
      value: 86
    }, {
      text: "反向六色明暗过渡白色",
      value: 87
    }]
  }, {
    title: "流水",
    key: "water",
    array: [{
      text: "正向七彩流水",
      value: 88
    }, {
      text: "反向七彩流水",
      value: 89
    }, {
      text: "正向蓝绿红流水",
      value: 90
    }, {
      text: "反向红绿蓝流水",
      value: 91
    }, {
      text: "正向紫青黄流水",
      value: 92
    }, {
      text: "反向黄青紫流水",
      value: 93
    }, {
      text: "正向红绿流水",
      value: 94
    }, {
      text: "反向红绿流水",
      value: 95
    }, {
      text: "正向绿蓝流水",
      value: 96
    }, {
      text: "反向绿蓝流水",
      value: 97
    }, {
      text: "正向黄蓝流水",
      value: 98
    }, {
      text: "反向黄蓝流水",
      value: 99
    }, {
      text: "正向黄青流水",
      value: 100
    }, {
      text: "反向黄青流水",
      value: 101
    }, {
      text: "正向青紫流水",
      value: 102
    }, {
      text: "反向青紫流水",
      value: 103
    }, {
      text: "正向黑白流水",
      value: 104
    }, {
      text: "反向黑白流水",
      value: 105
    }]
  }, {
    title: "流动",
    key: "flow",
    array: [{
      text: "正向白红白流动",
      value: 106
    }, {
      text: "反向白红白流动",
      value: 107
    }, {
      text: "正向白绿白流动",
      value: 108
    }, {
      text: "反向白绿白流动",
      value: 109
    }, {
      text: "正向白蓝白流动",
      value: 110
    }, {
      text: "反向白蓝白流动",
      value: 111
    }, {
      text: "正向白黄白流动",
      value: 112
    }, {
      text: "反向白黄白流动",
      value: 113
    }, {
      text: "正向白庆白流动",
      value: 114
    }, {
      text: "反向白青白流动",
      value: 115
    }, {
      text: "正向白紫白流动",
      value: 116
    }, {
      text: "反向白紫白流动",
      value: 117
    }, {
      text: "正向红白红流动",
      value: 118
    }, {
      text: "反向红白红流动",
      value: 119
    }, {
      text: "正向绿白绿流动",
      value: 120
    }, {
      text: "反向绿白绿流动",
      value: 121
    }, {
      text: "正向蓝白蓝流动",
      value: 122
    }, {
      text: "反向蓝白蓝流动",
      value: 123
    }, {
      text: "正向黄白黄流动",
      value: 124
    }, {
      text: "反向黄白黄流动",
      value: 125
    }, {
      text: "正向青白青流动",
      value: 126
    }, {
      text: "反向青白青流动",
      value: 127
    }, {
      text: "正向紫白紫流动",
      value: 128
    }, {
      text: "反向紫白紫流动",
      value: 129
    }]
  }, {
    title: "拖尾",
    key: "trail",
    array: [{
      text: "正向七彩拖尾",
      value: 130
    }, {
      text: "反向七彩拖尾",
      value: 131
    }, {
      text: "正向红色拖尾",
      value: 132
    }, {
      text: "反向红色拖尾",
      value: 133
    }, {
      text: "正向绿色拖尾",
      value: 134
    }, {
      text: "反向绿色拖尾",
      value: 135
    }, {
      text: "正向蓝色拖尾",
      value: 136
    }, {
      text: "反向蓝色拖尾",
      value: 137
    }, {
      text: "正向黄色拖尾",
      value: 138
    }, {
      text: "反向黄色拖尾",
      value: 139
    }, {
      text: "正向青色拖尾",
      value: 140
    }, {
      text: "反向青色拖尾",
      value: 141
    }, {
      text: "正向紫色拖尾",
      value: 142
    }, {
      text: "反向紫色拖尾",
      value: 143
    }, {
      text: "正向白色拖尾",
      value: 144
    }, {
      text: "反向白色拖尾",
      value: 145
    }]
  }, {
    title: "正跑",
    key: "run",
    array: [{
      text: "正向红色跑动",
      value: 146
    }, {
      text: "正向绿色跑动",
      value: 147
    }, {
      text: "正向蓝色跑动",
      value: 148
    }, {
      text: "正向黄色跑动",
      value: 149
    }, {
      text: "正向青色跑动",
      value: 150
    }, {
      text: "正向紫色跑动",
      value: 151
    }, {
      text: "正向白色跑动",
      value: 152
    }, {
      text: "正向七色跑动",
      value: 153
    }, {
      text: "正向蓝绿红跑动",
      value: 154
    }, {
      text: "正向紫青黄跑动",
      value: 155
    }, {
      text: "正向蓝紫青黄跑动",
      value: 156
    }, {
      text: "正向蓝绿青黄跑动",
      value: 157
    }, {
      text: "正向白底红点跑动",
      value: 158
    }, {
      text: "正向红底绿点跑动",
      value: 159
    }, {
      text: "正向绿底蓝点跑动",
      value: 160
    }, {
      text: "正向蓝底黄点跑动",
      value: 161
    }, {
      text: "正向黄底青点跑动",
      value: 162
    }, {
      text: "正向青底紫点跑动",
      value: 163
    }, {
      text: "正向紫底白点跑动",
      value: 164
    }, {
      text: "正向红底白点跑动",
      value: 165
    }, {
      text: "正向红底七色跑动",
      value: 166
    }, {
      text: "正向绿底七色跑动",
      value: 167
    }, {
      text: "正向蓝底七色跑动",
      value: 168
    }, {
      text: "正向黄底七色跑动",
      value: 169
    }, {
      text: "正向青底七色跑动",
      value: 170
    }, {
      text: "正向紫底七色跑动",
      value: 171
    }, {
      text: "正向白底七色跑动",
      value: 172
    }, {
      text: "正向蓝底绿点跑动",
      value: 173
    }, {
      text: "正向红底绿点跑动",
      value: 174
    }, {
      text: "正向蓝底红点跑动",
      value: 175
    }, {
      text: "正向黄底青点跑动",
      value: 176
    }, {
      text: "正向紫底黄点跑动",
      value: 177
    }, {
      text: "正向黄底白点跑动",
      value: 178
    }, {
      text: "正向白底黄点跑动",
      value: 179
    }]
  }, {
    title: "反跑",
    key: "counterrun",
    array: [{
      text: "反向红色跑动",
      value: 180
    }, {
      text: "反向绿色跑动",
      value: 181
    }, {
      text: "反向蓝色跑动",
      value: 182
    }, {
      text: "反向黄色跑动",
      value: 183
    }, {
      text: "反向青色跑动",
      value: 184
    }, {
      text: "反向紫色跑动",
      value: 185
    }, {
      text: "反向白色跑动",
      value: 186
    }, {
      text: "反向七色跑动",
      value: 187
    }, {
      text: "反向红绿蓝跑动",
      value: 188
    }, {
      text: "反向黄青紫跑动",
      value: 189
    }, {
      text: "反向黄青紫蓝跑动",
      value: 190
    }, {
      text: "反向黄青绿蓝跑动",
      value: 191
    }, {
      text: "反向白底红点跑动",
      value: 192
    }, {
      text: "反向红底绿点跑动",
      value: 193
    }, {
      text: "反向绿底蓝点跑动",
      value: 194
    }, {
      text: "反向蓝底黄点跑动",
      value: 195
    }, {
      text: "反向黄底青点跑动",
      value: 196
    }, {
      text: "反向青底紫点跑动",
      value: 197
    }, {
      text: "反向紫底白点跑动",
      value: 198
    }, {
      text: "反向红底白点跑动",
      value: 199
    }, {
      text: "反向红底七色跑动",
      value: 200
    }, {
      text: "反向绿底七色跑动",
      value: 201
    }, {
      text: "反向蓝底七色跑动",
      value: 202
    }, {
      text: "反向黄底七色跑动",
      value: 203
    }, {
      text: "反向青底七色跑动",
      value: 204
    }, {
      text: "反向紫底七色跑动",
      value: 205
    }, {
      text: "反向白底七色跑动",
      value: 206
    }, {
      text: "反向蓝底绿点跑动",
      value: 207
    }, {
      text: "反向红底绿点跑动",
      value: 208
    }, {
      text: "反向蓝底红点跑动",
      value: 209
    }, {
      text: "反向黄底青点跑动",
      value: 210
    }, {
      text: "反向紫底黄点跑动",
      value: 211
    }, {
      text: "反向黄底白点跑动",
      value: 212
    }, {
      text: "反向白底黄点跑动",
      value: 213
    }]
  }, {
    title: "其他",
    key: "other",
    array: [{
      text: "特别七色25点开幕",
      value: 214
    } /*, {
      text: "红色暗亮暗过滤流水",
      value: 215
    }, {
      text: "绿色暗亮暗过滤流水",
      value: 216
    }, {
      text: "蓝色暗亮暗过滤流水",
      value: 217
    }, {
      text: "黄色暗亮暗过滤流水",
      value: 218
    }, {
      text: "青色暗亮暗过滤流水",
      value: 219
    }, {
      text: "紫色暗亮暗过滤流水",
      value: 220
    }, {
      text: "白色暗亮暗过滤流水",
      value: 221
    }, {
      text: "七色堆砌",
      value: 222
    }, {
      text: "红色堆砌",
      value: 223
    }, {
      text: "绿色堆砌",
      value: 224
    }, {
      text: "蓝色堆砌",
      value: 225
    }, {
      text: "黄色堆砌",
      value: 226
    }, {
      text: "青色堆砌",
      value: 227
    }, {
      text: "紫色堆砌",
      value: 228
    }, {
      text: "白色堆砌",
      value: 229
    }, {
      text: "七彩渐变",
      value: 230
    }, {
      text: "七彩过渡",
      value: 231
    }, {
      text: "红紫过渡",
      value: 232
    }, {
      text: "黄白过渡",
      value: 233
    }, {
      text: "黄橙过渡",
      value: 234
    }*/]
  }]
};