const ability = require("../../../utils/classDef/ability")

// minePages/backup/logoff/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    contents: {
      title: "注销账号有以下风险",
      contents: [{
        text: "永久注销,无法恢复",
        tip: "账号注销后,永久失效。你可以使用该手机/邮箱重新注册一个新账号，但该账号下的数据无法回复。"
      }, {
        text: "注销后备份和恢复功能不可使用",
        tip: "注销账号后，家庭备份的数据将会被彻底清除，家庭数据备份和家庭数据恢复功能将不可使用。"
      }],
      tip: "注：注销过程中请勿关闭应用，否则账号可能会数据异常，如果出现异常请重新注销。"
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let {title} = options || {};
    this.title = title || "";
    // 设置标题
    this.initNavTitle(title);
  },
  initNavTitle (str) {
    ability.setNavigationBarTitle(decodeURIComponent(str || ""));
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  saveVerify () {
    ability.redirectTo("../register/index?type=logoff&title=" + (this.title))
  }
})