// 获取系统语言
var app = getApp();
var _lan = app.globalData.sysInfo.language;

// 获取文件内容
var _getFile = (lan, fileName, bizName) => {
  let _bizName = bizName || "default";
  return require(`./${_bizName}/${lan}/${fileName}.js`);
};

// 获取语言对应的文案信息
var _contentByLan = "";
// 取得故障码的文案
var _msgByLan = "";
try {
  // 当前微信语言
  _contentByLan = _getFile(_lan, "content");
  _msgByLan = _getFile(_lan, "msg");
} catch (e) {
  console.log("e = ", e);
  // 如果不包含语言，则更新默认语言
  _lan = "zh";
  _contentByLan = _getFile(_lan, "content");
  _msgByLan = _getFile(_lan, "msg");
}

module.exports = {
  content: _contentByLan,
  msg: _msgByLan,
  // 根据语言取得msg和文案内容
  getMsgByLan () {

  }
}