// components/customRemote/index.js
import ability from "../../utils/classDef/ability";
Component({
  options: {
    addGlobalClass: true, // 全局样式
  },
  /**
   * 组件的属性列表
   */
  properties: {
    config: {
      type: Object,
      value: {}
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    closeRemote () {
      ability.showModal({
        title: "关闭远程调试",
        content: "请确定是否关闭远程调试功能",
        showCancel: true,
        confirmColor: "#F78D3F",
        // confirmText: param.confirmText || "确定",
        // cancelText: param.cancelText || "取消",
        // cancelColor: param.cancelColor || '#000000',
      }).then(res => {
        if (!res) {
          return;
        }
        this.triggerEvent("closeRemote")
      })
    }
  }
})
