// components/toast/index.js
Component({
  options: {
    addGlobalClass: true, // 全局样式
  },
  /**
   * 组件的属性列表
   */
  properties: {
    // 这里定义了innerText属性，属性值可以在组件使用时指定
    config: {
      type: Object,
      value: {},
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    dataText: '',
    isShow:false
  },

  /**
   * 组件的方法列表
   */
  methods: {
    //隐藏弹框
    hideDialog() {
      this.setData({
        isShow: !this.data.isShow
      })
    },
    //展示弹框
    showDialog(text, callBack) {
      this.setData({
        isShow: !this.data.isShow,
        dataText: text
      })
      // 定时器关闭  
      setTimeout(() => {
        this.hideDialog();
        // 回调
        !!callBack && (callBack());
      }, 2000);
    }
  }
})
