// components/loading/index.js
Component({
  options: {
    addGlobalClass: true, // 全局样式
  },
  /**
   * 组件的属性列表
   */
  properties: {
    configJson: {
      type: Object,
      default: {}
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    // 重试按钮点击
    retryClick () {

    },
    // 取消按钮点击
    cancelBtnClick () {
      this.triggerEvents("cancel")
    },
    // 确定按钮点击
    confirmBtnClick () {
      this.triggerEvents("confirm")
    },
    // 重试按钮点击
    retryClick () {
      this.triggerEvents("retry")
    },
    triggerEvents (str) {
      // 触发上报到父组件
      this.triggerEvent('btnclick', {
        data: str
      })
    }
  }
})
