Component({
  options: {
    addGlobalClass: true, // 全局样式
  },
  /**
   * 组件的属性列表
   */
  properties: {
    list: {
      type: Object,
      value: []
    }
  },

  observers: {
    'list': function (newList) {
      // 更新数据
      this.initScenes(newList);
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    initScenes (list) {
      // this.data.
    },
    itemClick (e) {
      let {index} = e.currentTarget.dataset;
      this.triggerEvent("itemclick", {
        index: index
      })
    },
    actionScene (e) {
      let {index} = e.currentTarget.dataset;
      // let _item = this.data.list[index] || {};
      // console.log("actionScene index = ", index);
      this.triggerEvent("actionclick", {
        index: index
      })
    }
  }
})
