// device/components/errorCode/index.js
Component({
  options: {
    addGlobalClass: true, // 全局样式
  },
  /**
   * 组件的属性列表
   */
  properties: {
    errorMsg: {
      type: String,
      value: ""
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    // 同步数据到页面
    setProperValue (key, val) {
      if (this.data == undefined || val == undefined) {
        return;
      }
      this.data[key] = val;
      this.setData({
        [key]: val
      });
    },
    closeErrorPop () {
      // 自定义事件
      this.triggerEvent('close');
    }
  }
})
