// key不能改
module.exports = {
  w: [
    {
      name: "明暗渐变",
      key: "g_bright",
      mode: [
        {"red":1,"green":1,"blue":1,"cold":0,"warm":0},
        {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.1
    },
    {
      name: "明暗跳变",
      key: "j_bright",
      mode: [
        {"red":1,"green":1,"blue":1,"cold":0,"warm":0},
        {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.4
    }
  ],
  cw: [
    {
      name: "冷暖渐变",
      key: "g_cw", // key不能改
      mode: [
        {"red":0,"green":0,"blue":0,"cold":0,"warm":1},
        {"red":0,"green":0,"blue":0,"cold":1,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.1
    },
    {
      name: "冷暖跳变",
      key: "j_cw",
      mode: [
        {"red":0,"green":0,"blue":0,"cold":0,"warm":1},
        {"red":0,"green":0,"blue":0,"cold":1,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.4
    },
    {
      name: "冷光渐变",
      key: "g_c",
      mode: [
        {"red":0,"green":0,"blue":0,"cold":1,"warm":0},
        {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.1
    },
    {
      name: "冷光跳变",
      key: "j_c",
      mode: [
        {"red":0,"green":0,"blue":0,"cold":1,"warm":0},
        {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.4
    },
    {
      name: "暖光渐变",
      key: "g_w",
      mode: [
        {"red":0,"green":0,"blue":0,"cold":0,"warm":1},
        {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.1
    },
    {
      name: "暖光跳变",
      key: "j_w",
      mode: [
        {"red":0,"green":0,"blue":0,"cold":0,"warm":1},
        {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.4
    },
    // {
    //   name: "中性渐变",
    //   key: "g_bright",
    //   mode: [
    //     {"red":1,"green":1,"blue":1,"cold":0,"warm":0},
    //     {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
    //   ],
    //   defaultTime: 100,
    //   mult: 0.1
    // },
    // {
    //   name: "中性跳变",
    //   key: "j_bright",
    //   mode: [
    //     {"red":1,"green":1,"blue":1,"cold":0,"warm":0},
    //     {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
    //   ],
    //   defaultTime: 100,
    //   mult: 0.4
    // }
  ],
  rgb: [
    // {
    //   name: "柔和",
    //   key: "g_soft",
    //   // mode: "020104060305",
    //   mode: [
    //     {"red":0,"green":1,"blue":0},
    //     {"red":0,"green":0,"blue":0}
    //   ],
    //   defaultTime: 100,
    //   mult: 0.2
    // },
    {
      name: "全彩渐变",
      key: "g_all",
      // mode: "020104060305",
      mode: [
        {"red":1,"green":0,"blue":0},
        {"red":1,"green":1,"blue":0},
        {"red":1,"green":0,"blue":1},
        {"red":0,"green":1,"blue":0},
        {"red":0,"green":1,"blue":1},
        {"red":0,"green":0,"blue":1}
      ],
      defaultTime: 100,
      mult: 0.1
    },
    {
      name: "红蓝渐变",
      key: "g_r_b",
      // mode: "0201",
      mode: [
        {"red":1,"green":0,"blue":0},
        {"red":0,"green":0,"blue":1}
      ],
      defaultTime: 100,
      mult: 0.1
    },
    {
      name: "蓝绿渐变",
      key: "g_b_g",
      // mode: "0104",
      mode: [
        {"red":0,"green":0,"blue":1},
        {"red":0,"green":1,"blue":0}
      ],
      defaultTime: 100,
      mult: 0.1
    },
    {
      name: "红绿渐变",
      key: "g_r_g",
      // mode: "0204",
      mode: [
        {"red":1,"green":0,"blue":0},
        {"red":0,"green":1,"blue":0}
      ],
      defaultTime: 100,
      mult: 0.1
    },



    {
      name: "绿色渐变",
      key: "g_g",
      // mode: "0204",
      mode: [
        {"red":0,"green":1,"blue":0,"cold":0,"warm":0},
        {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.1
    },
    {
      name: "红色渐变",
      key: "g_r",
      // mode: "0204",
      mode: [
        {"red":1,"green":0,"blue":0,"cold":0,"warm":0},
        {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.1
    },
    {
      name: "蓝色渐变",
      key: "g_b",
      // mode: "0204",
      mode: [
        {"red":0,"green":0,"blue":1,"cold":0,"warm":0},
        {"red":0,"green":0,"blue":0,"cold":0,"warm":0}
      ],
      defaultTime: 100,
      mult: 0.1
    },


    {
      name: "全彩跳变",
      key: "j_all",
      // mode: "020104060305",
      mode: [
        {"red":1,"green":0,"blue":0},
        {"red":1,"green":1,"blue":0},
        {"red":1,"green":0,"blue":1},
        {"red":0,"green":1,"blue":0},
        {"red":0,"green":1,"blue":1},
        {"red":0,"green":0,"blue":1}
      ],
      defaultTime: 100,
      isJump: true,
      mult: 0.4
    },
    {
      name: "红绿蓝跳变",
      key: "j_r_g_b",
      // mode: "020104",
      mode: [
        {"red":1,"green":0,"blue":0},
        {"red":0,"green":1,"blue":0},
        {"red":0,"green":0,"blue":1}
      ],
      defaultTime: 100,
      isJump: true,
      mult: 0.4
    },
    {
      name: "黄绿跳变",
      key: "j_y_g",
      // mode: "0406",
      mode: [
        {"red":1,"green":1,"blue":0},
        {"red":0,"green":1,"blue":0}
      ],
      defaultTime: 100,
      isJump: true,
      mult: 0.4
    },
    {
      name: "红绿跳变",
      key: "j_r_g",
      // mode: "0204",
      mode: [
        {"red":1,"green":0,"blue":0},
        {"red":0,"green":1,"blue":0}
      ],
      defaultTime: 100,
      isJump: true,
      mult: 0.4
    },
    {
      name: "红色跳变",
      key: "j_r",
      // mode: "0200",
      mode: [
        {"red":1,"green":0,"blue":0},
        {"red":0,"green":0,"blue":0}
      ],
      defaultTime: 100,
      isJump: true,
      mult: 0.4
    },
    {
      name: "蓝色跳变",
      key: "j_b",
      // mode: "0100",
      mode: [
        {"red":0,"green":0,"blue":1},
        {"red":0,"green":0,"blue":0}
      ],
      defaultTime: 100,
      isJump: true,
      mult: 0.4
    },
    {
      name: "绿色跳变",
      key: "j_g",
      // mode: "0400",
      mode: [
        {"red":0,"green":1,"blue":0},
        {"red":0,"green":0,"blue":0}
      ],
      defaultTime: 100,
      isJump: true,
      mult: 0.4
    }, {
      name: "RGB白跳变",
      key: "j_white",
      // mode: "0700",
      mode: [
        {"red":1,"green":1,"blue":1},
        {"red":0,"green":0,"blue":0}
      ],
      defaultTime: 100,
      isJump: true,
      mult: 0.4
    }
  ] 
};