import ability from '../../../utils/classDef/ability'
// const app = getApp();
Page({
  data: {
    navObj: {
      left: {
        type: "img"
      },
      center: {
        text: "添加房间"
      }
    },
    roomName: '',
    roomList: ['客厅', '主卧', '次卧', '餐厅', '厨房', '书房', '玄关', '阳台', '儿童房', '衣帽间'],
    bleUnavailable: false
  },
  onLoad (options) {

  },

  // nameBlur () {
  // },
  nameInput (e) {
    let _name = e.detail.value;
    if (_name.length > 16) {
      this.showToast("设备名称长度不能大于16").then((isConfirm) => {
        this.setData({
          roomName: _name.substr(0, 16)
        })
      });
      return;
    }
    this.data.roomName = _name;
    console.log("nameInput _name = ", _name);
  },
  showToast (str) {
    return wx.showModal({
      showCancel: false,
      content: str || "房间名称长度不能大于16"
    });
  },
  saveName () {
    let _name = this.data.roomName || '';
    if (_name.length == 0) {
      this.showToast("名称不能为空");
      return;
    } else if (_name.length > 16) {
      this.showToast("名称长度不能大于16");
      return;
    }
    console.log("saveName _name = ", _name);
    // 返回
    ability.navigateBack();
  },
  selectRoomName (e) {
    console.log('e.currentTarget.dataset.index:', this.data.roomList, e.currentTarget.dataset.index)
    this.data.roomName = this.data.roomList[e.currentTarget.dataset.index];
    this.setData({
      roomName: this.data.roomList[e.currentTarget.dataset.index]
    })
  }
})
