const ability = require("../../../utils/classDef/ability");

// device/metapad/chooseType/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    // typeKey: "scene", // 选择的类型key
    typeList: [{
      title: "场景",
      key: "scene"
    }, {
      title: "灯具",
      key: "light"
    }, {
      title: "窗帘",
      key: "curtain"
    }, {
      title: "继电器开关",
      key: "switch"
    }
    // , {
    //   title: "空调",
    //   key: ""
    // }
  ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad (options) {
    console.log("onLoad options = ", options);
    let {key, cmd, sid, rid, panelKey, type, lowPower} = options || {};
    this.key = Number(key) || 0;
    this.cmd = cmd;
    this.sid = sid;
    this.rid = rid;
    this.bindType = type;
    this.panelKey = panelKey; // 绑定继电器的第几路

    this.lowPower = lowPower; // 是否低功耗
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  selectType (e) {
    let {index} = e.currentTarget.dataset;
    let {key} = this.data.typeList[index];
    let _url = "";
    if (key == "scene") {
      // 页面路径
      _url = "/device/metapad/configDetail/index?from=metapad&key=" + this.key;
    } else {
      // &hidetab=1
      _url = "/scene/addDevice/index?from=metapad&key=" + this.key + "&devTypeStr=" + key;
    }
    console.log("selectType this.sid, this.rid = ", this.sid, this.rid, this.cmd);
    if (this.sid >= 0 && this.rid >= 0) {
      _url += "&sid=" + this.sid + "&rid=" + this.rid + "&did=" + this.cmd + "&type=" + this.bindType;
      if (this.panelKey >= 0) {
        _url += "&panelKey=" + this.panelKey;
      }
    }
    console.log("selectType _url = ", _url);
    ability.redirectTo(_url + "&lowPower=" + this.lowPower)
    // ability.navigateTo(_url)
  }
})