// minePages/deviceShare/shareSocket/chooseScene/index.js
import ability from '../../../../utils/classDef/ability'
// import bizUtil from '../../../../utils/bizUtil'
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    roomId: 0,
    scenes: [], // 场景列表
    selects: {}, // 选择的数据
    // 设备列表
    actions: [{
      handles: "back",
      classStr: "delBtn",
      text: "上一步"
    }, {
      handles: "next",
      classStr: "colorF78D3F borderF78D3F marginL50",
      text: "下一步"
    }]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 上一步选择的房间
    let _roomId = options.roomId || 0;
    this.data.roomId = _roomId;
    // 取得场景数据
    let _roomDetail = app.globalData.devs[_roomId] || {};

    // let _result = [];
    // for (let i = 0; i < 100; i++) {
    //   _result.push({
    //     sid: i,
    //     n: i
    //   })
    // }

    this.data.scenes = _roomDetail.scenes || []; // _result; // 
    this.setData({
      scenes: this.data.scenes
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  chooseScene (e) {
    let {index} = e.currentTarget.dataset;
    let {sid, rid} = this.data.scenes[index] || {};
    // 是否存在数据
    if (this.data.selects[sid]) {
      delete this.data.selects[sid];
    } else {
      this.data.selects[sid] = sid;
    }
    this.setData({
      selects: this.data.selects
    })
  },
  next () {
    // 如果没有选择，则不能进入下一步
    let _scenes = Object.keys(this.data.selects) || [];
    if (_scenes.length == 0) {
      return ability.showToast({
        title: "请至少选择一个场景"
      })
    }

    // 把数据转成整形
    app.globalData.screenInfo.scenes = _scenes.map(a=>Number(a));;
    ability.navigateTo("../chooseDev/index?roomId=" + this.data.roomId);
  },
  back () {
    ability.navigateBack();
  }
})