import ability from '../../utils/classDef/ability'

// addPages/gateway/code/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    code: "",
    list: [],

    from: '' // 从哪个页面跳转过来，默认是上一个页面
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 保存页面从哪边跳转过来
    this.data.from = options.from || "";
    // 初始化平台
    this.initList();
  },
  getAllList () {
    var _format = "/static/img/mine/thirdVoice/";
    return [{
      key: 'tmall',
      name: "天猫精灵",
      icon: _format + 'tmall.png',
      url: 'https://cloud-oauth-chn-8e7bc87a.ibroadlink.com/fastcon_smart_home_skills/tianmao.html'
    }, {
      key: 'duer',
      name: "小度",
      icon: _format + 'duer.png',
      url: 'https://cloud-oauth-chn-8e7bc87a.ibroadlink.com/fastcon_smart_home_skills/xiaodu.html'
    }, {
      key: 'xiaoai',
      name: "小爱同学",
      icon: _format + 'xiaoai.png',
      url: 'https://cloud-oauth-chn-8e7bc87a.ibroadlink.com/fastcon_smart_home_skills/xiaoai.html'
    }/*, {
      key: 'google',
      name: "Google Assistant",
      icon: _format + 'google.png'
    }, {
      key: 'alexa',
      name: "Alexa",
      icon: _format + 'alexa.png'
    }*/];
  },
  initList () {
    this.data.list = this.getAllList();
    this.setData({
      list: this.data.list
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  copyClick () {
    // 复制按钮点击
    ability.setClipboardData({
      data: this.data.code
    });
  },
  itemClick (e) {
    let {index} = e.currentTarget.dataset;
    let _item = this.data.list[index];
    ability.navigateTo("/webview/index?from=third&jumpTo=" + encodeURIComponent(_item.url))
  },
  nextStep () {
    // 如果是从配网进来，则
    if (this.data.from == "config") {
      return ability.navigateBack(2);
    }
    ability.navigateBack();
  }
})