module.exports = {
  // 温度的范围
  TEMPS: {
    min: 16,
    max: 30,
    hotMin: 16,
    hotMax: 45
  },
  // 模式和风速的枚举值
  MODE: [
    {
      text: "制冷",
      value: 2,
      key: "cold"
    }, {
      text: "制热",
      value: 1,
      key: "hot"
    }, {
      text: "除湿",
      value: 8,
      key: "dehumid"
    }, {
      text: "送风",
      value: 4,
      key: "fan"
    }, {
      text: "自动",
      value: 0,
      key: "auto"
    }
  ],
  SPEED: [
    {
      text: "低速",
      value: 1,
      key: "low"
    }, {
      text: "中速",
      value: 2,
      key: "mid"
    }, {
      text: "高速",
      value: 3,
      key: "high"
    }, {
      text: "自动",
      value: 0,
      key: "auto"
    }
  ]
}