const SCENES = {
  // 0: 全屋批量控制
  // 1: 自定义
  // 2: 当前设备状态
  // 3: 默认场景-自定义

  // 旧版
  // 3: 默认场景-未编辑
  // 4: 默认场景-自定义
  // 5: 默认场景-当前状态

  0: [{
    n: '回家',
    rid: 0,
    sid: 1,
    t: 3,
    b: 1,
    or: 1,
    i: "1"
  }, {
    n: '离家',
    rid: 0,
    sid: 2,
    t: 3,
    b: 2,
    or: 2,
    i: "2"
  }],
  // 客厅
  1: [{
    n: '全开',
    rid: 1,
    t: 3,
    sid: 1,
    b: 1,
    or: 1,
    i: "1"
  }, {
    n: '全关',
    t: 3,
    sid: 2,
    rid: 1,
    b: 2,
    or: 2,
    i: "2"
  }, {
    n: '明亮',
    t: 3,
    sid: 3,
    rid: 1,
    b: 3,
    or: 3,
    i: "3"
  }, {
    n: '观影',
    t: 3,
    sid: 4,
    rid: 1,
    b: 4,
    or: 4,
    i: "6"
  }, {
    n: '柔和',
    t: 3,
    sid: 5,
    rid: 1,
    b: 5,
    or: 5,
    i: "101"
  }, {
    n: '阅读',
    t: 3,
    sid: 6,
    rid: 1,
    b: 6,
    or: 6,
    i: "4"
  }],
  // 主卧
  2: [{
    n: '明亮',
    t: 3,
    sid: 3,
    rid: 2,
    b: 3,
    or: 1,
    i: "3"
  }, {
    n: '全关',
    t: 3,
    sid: 2,
    rid: 2,
    b: 2,
    or: 2,
    i: "2"
  }, {
    n: '柔和',
    t: 3,
    sid: 5,
    rid: 2,
    b: 5,
    or: 3,
    i: "101"
  }, {
    n: '阅读',
    t: 3,
    sid: 6,
    rid: 2,
    b: 6,
    or: 4,
    i: "4"
  }, {
    n: '睡眠',
    t: 3,
    sid: 7,
    rid: 2,
    b: 7,
    or: 5,
    i: "5"
  }, {
    n: '晨起',
    t: 3,
    sid: 8,
    rid: 2,
    b: 8,
    or: 6,
    i: "10"
  }],
  // 次卧
  3: [{
    n: '明亮',
    t: 3,
    sid: 3,
    rid: 3,
    b: 3,
    or: 1,
    i: "3"
  }, {
    n: '全关',
    t: 3,
    sid: 2,
    rid: 3,
    b: 2,
    or: 2,
    i: "2"
  }, {
    n: '柔和',
    t: 3,
    sid: 5,
    rid: 3,
    b: 5,
    or: 3,
    i: "101"
  }, {
    n: '阅读',
    t: 3,
    sid: 6,
    rid: 3,
    b: 6,
    or: 4,
    i: "4"
  }, {
    n: '睡眠',
    t: 3,
    sid: 7,
    rid: 3,
    b: 7,
    or: 5,
    i: "5"
  }, {
    n: '晨起',
    t: 3,
    sid: 8,
    rid: 3,
    b: 8,
    or: 6,
    i: "10"
  }],
  // 餐厅
  4: [{
    n: '明亮',
    t: 3,
    sid: 3,
    rid: 4,
    b: 3,
    or: 1,
    i: "3"
  }, {
    n: '全关',
    t: 3,
    sid: 2,
    rid: 4,
    b: 2,
    or: 2,
    i: "2"
  }, {
    n: '用餐',
    t: 3,
    sid: 9,
    rid: 4,
    b: 9,
    or: 3,
    i: "102"
  }, {
    n: '烛光',
    t: 3,
    sid: 10,
    rid: 4,
    b: 10,
    or: 4,
    i: "103"
  }],
  // 书房
  5: [{
    n: '明亮',
    t: 3,
    sid: 3,
    rid: 5,
    b: 3,
    or: 1,
    i: "3"
  }, {
    n: '全关',
    t: 3,
    sid: 2,
    rid: 5,
    b: 2,
    or: 2,
    i: "2"
  }, {
    n: '阅读',
    t: 3,
    sid: 6,
    rid: 5,
    b: 6,
    or: 3,
    i: "4"
  }, {
    n: '柔和',
    t: 3,
    sid: 5,
    rid: 5,
    b: 5,
    or: 4,
    i: "101"
  }]
};